Parameter Types

## Data Structures

struct | f0r_param_color
struct | f0r_param_position

## Macros

#define | F0R_PARAM_BOOL 0
#define | F0R_PARAM_DOUBLE 1
#define | F0R_PARAM_COLOR 2
#define | F0R_PARAM_POSITION 3
#define | F0R_PARAM_STRING 4

## Typedefs

typedef double | f0r_param_bool
typedef double | f0r_param_double
typedef struct f0r_param_color | f0r_param_color_t
typedef struct f0r_param_position | f0r_param_position_t
typedef char * | f0r_param_string

## Detailed Description

## Macro Definition Documentation

## F0R_PARAM_BOOL

#define F0R_PARAM_BOOL 0

Parameter type for boolean values

See also
  f0r_param_bool

Definition at line 377 of file frei0r.h.

## F0R_PARAM_COLOR

#define F0R_PARAM_COLOR 2

Parameter type for color

See also
  f0r_param_color

Definition at line 389 of file frei0r.h.

## F0R_PARAM_DOUBLE

#define F0R_PARAM_DOUBLE 1

Parameter type for doubles

See also
  f0r_param_double

Definition at line 383 of file frei0r.h.

## F0R_PARAM_POSITION

#define F0R_PARAM_POSITION 3

Parameter type for position

See also
  f0r_param_position

Definition at line 394 of file frei0r.h.

## F0R_PARAM_STRING

#define F0R_PARAM_STRING 4

Parameter type for string

See also
  f0r_param_string

Definition at line 400 of file frei0r.h.

## Typedef Documentation

## f0r_param_bool

typedef double f0r_param_bool

The boolean type. The allowed range of values is [0, 1]. [0, 0.5[ is mapped to false and [0.5, 1] is mapped to true.

Definition at line 406 of file frei0r.h.

## f0r_param_color_t

typedef struct f0r_param_color f0r_param_color_t

The color type. All three color components are in the range [0, 1].

## f0r_param_double

typedef double f0r_param_double

The double type. The allowed range of values is [0, 1].

Definition at line 411 of file frei0r.h.

## f0r_param_position_t

typedef struct f0r_param_position f0r_param_position_t

The position type. Both position coordinates are in the range [0, 1].

## f0r_param_string

typedef char* f0r_param_string

The string type. Zero terminated array of 8-bit values in utf-8 encoding

Definition at line 437 of file frei0r.h.